/* file.h -- Functions to manipulate (copy, move, etc.) files. */
/* file.h,v 1.3 2002/08/05 00:06:00 eagle Exp */

#ifndef H_FILE
#define H_FILE

#include "config.h"
#include <stdio.h>
#include <sys/types.h>

/* Create a new file with the given name, owner, group, and permissions. */
extern bool create_file(const char *file, uid_t owner, gid_t group,
                        mode_t mode);

/* Given a file path, create the directory if it doesn't exist. */
extern void create_directory(char *path);

/* Copy a file from one location to another. */
extern bool copy(const char *sourcename, const char *destname);

/* Rename a log to a unique name, returning that name. */
extern char *rename_unique(const char *filename);

/* Rename files ending in a number and .gz or .bz2 as appropriate for the
   compression method, only keeping a given number. */
extern bool shuffle_files(const char *filename, int count);

#endif /* H_FILE */
